# Generated by Django 3.0.8 on 2022-08-23 17:41

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0011_update_proxy_permissions'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Invite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('invite_type', models.TextField(choices=[('user', 'User'), ('group', 'Group')], default='user')),
                ('type_id', models.IntegerField()),
                ('object_type', models.TextField(choices=[('space', 'Space'), ('group', 'Group')], default='group')),
                ('object_id', models.IntegerField()),
                ('accepted', models.BooleanField(default=None, null=True)),
                ('invite_text', models.TextField(blank=True)),
                ('invite_decline_text', models.TextField(blank=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(db_column='created_by', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='invite_created_by', to=settings.AUTH_USER_MODEL)),
                ('granted_permissions', models.ManyToManyField(blank=True, db_table='invites_permissions', to='auth.Permission')),
                ('updated_by', models.ForeignKey(db_column='updated_by', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='invite_updated_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Invite',
                'verbose_name_plural': 'Invites',
                'db_table': 'invites',
                'default_permissions': (),
            },
        ),
    ]
